Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultPhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultPhoto

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultPhoto
    extends TdApi.InputInlineQueryResult

Represents link to a JPEG image.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` A short description of the result, if known.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`int` `photoHeight` Height of the photo.
`java.lang.String` `photoUrl` The URL of the JPEG photo (photo size must not exceed 5MB).
`int` `photoWidth` Width of the photo.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`java.lang.String` `thumbnailUrl` URL of the photo thumbnail, if it exists.
`java.lang.String` `title` Title of the result, if known.

### Constructor Summary

Constructors
`InputInlineQueryResultPhoto()` Default constructor.
`InputInlineQueryResultPhoto​(java.lang.String id, java.lang.String title, java.lang.String description, java.lang.String thumbnailUrl, java.lang.String photoUrl, int photoWidth, int photoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### title

    public java.lang.String title

Title of the result, if known.

#### description

    public java.lang.String description

A short description of the result, if known.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

URL of the photo thumbnail, if it exists.

#### photoUrl

    public java.lang.String photoUrl

The URL of the JPEG photo (photo size must not exceed 5MB).

#### photoWidth

    public int photoWidth

Width of the photo.

#### photoHeight

    public int photoHeight

Height of the photo.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessagePhoto, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultPhoto

    public InputInlineQueryResultPhoto()

Default constructor.

#### InputInlineQueryResultPhoto

    public InputInlineQueryResultPhoto​(java.lang.String id,
                                       java.lang.String title,
                                       java.lang.String description,
                                       java.lang.String thumbnailUrl,
                                       java.lang.String photoUrl,
                                       int photoWidth,
                                       int photoHeight,
                                       TdApi.ReplyMarkup replyMarkup,
                                       TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the result, if known.
  `description` - A short description of the result, if known.
  `thumbnailUrl` - URL of the photo thumbnail, if it exists.
  `photoUrl` - The URL of the JPEG photo (photo size must not exceed 5MB).
  `photoWidth` - Width of the photo.
  `photoHeight` - Height of the photo.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessagePhoto, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR